Page MenuHome

Library overrides - modifiers
Closed, ResolvedPublicBUG

Description

System Information
Operating system: Windows-10-10.0.19041-SP0 64 Bits
Graphics card: GeForce GTX 960M/PCIe/SSE2 NVIDIA Corporation 4.5.0 NVIDIA 445.87


Blender Version
Broken: version: 2.90.0 Beta, branch: master, commit date: 2020-08-02 18:54, hash: rB0264f53e30c7
Worked: (newest version of Blender that worked as expected)

Short description of error
There are some actions you can do with modifiers from a linked file (with library override), which maybe they shouldn't be allowed. There is also a crash.

Exact steps for others to reproduce the error
-Open up Blender, take for example the default cube and add a mirror modifier.
-Save the file to disk.
-Create a new file and remove the default cube.
-Go to File->Link, select the saved file, and choose the collection of the cube.
-Make it into Library Override (Object->Relations->Make library override)
-Select the cube of the linked file, and in the properties panel go to the Modifiers Tab.
-You'll see the mirror modifier, the X button in the UI is disabled (cannot be removed), but you can actually remove it by pressing Delete or X keys on the keyboard.
-If you hover the mouse over the modifier, and press Ctrl+A (shortcut for applying), Blender crashes.
-If you add more modifiers, you can move the mirror modifier (which was added in the original file) up and down, but you cannot move it to First or Last in the stack from the UI menu (I don't know if it should be allowed to move it).

Event Timeline

Germano Cavalcante (mano-wii) changed the task status from Needs Triage to Confirmed.Aug 11 2020, 2:48 AM
Germano Cavalcante (mano-wii) changed the subtype of this task from "Report" to "Bug".

I confirm the crash and the possibility to delete the modifier using shortcuts.

None of those shortcuts should be active (operator poll functions should prevent them to run...) only valid operations are adding new modifiers, and moving them around.

Bastien Montagne (mont29) closed this task as Resolved.Aug 12 2020, 4:24 PM

I will consider this one as fixed for now, at least as best as possible. Note that one cannot move around any modifier in liboverride object now, but this is a limitation with current system that needs design and refactor work, and is therefore outside of the scope of a bug report. See T79735: Enhance ways of accessing active modifier for poll functions of operators